Quick Entry
Form configuration
Everything needed to draw Quick Entry: templates (block order, st = open · chip · off, req required, cond condition, def defaults), block definitions for the user's modules (fields: k key, t type, o options, u unit), default_template (user's department → conversation type → default), conversation types, topics, next steps, stages and the undo window.
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Module: Visits / ActivitiesScope:
crm.readQuery parameters
typestringoptionalConversation type (affects template choice).
Values
F2FOnlineCallDenemeErrors
| HTTP | error | Meaning |
|---|---|---|
403 | module | The module is off in the licence or for the user. |
Request
curl "https://ornek.solk.app/api/v1/qe/config?type=F2F" \
-H "Authorization: Bearer $SOLK_API_KEY"const res = await fetch("https://ornek.solk.app/api/v1/qe/config?type=F2F", {
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
},
});
const data = await res.json();import os, requests
r = requests.get(
"https://ornek.solk.app/api/v1/qe/config",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
params={"type": "F2F"},
)
print(r.json())Response
{
"blocks": [
{
"fields": [
{
"k": "stage_label",
"l": "Aşama",
"o": [
[
"Qualify"
]
],
"t": "select"
}
],
"icon": "kanban",
"k": "firsat",
"label": "Fırsat",
"obj": "Fırsat"
},
{
"fields": [
{
"k": "product",
"l": "Ürün",
"ph": "Ürün adı (yeni ise eklenir)",
"t": "product"
}
],
"icon": "box",
"k": "urun",
"label": "Ürün",
"obj": "Ürün"
}
],
"conds": [
{
"k": "",
"label": "Her zaman çip"
},
{
"k": "has_opp",
"label": "Firmanın açık fırsatı varsa açık"
}
],
"currency": "€",
"default_template": 1,
"next_actions": [
"Numune Gönder",
"Teklif"
],
"ok": true,
"open_stages": [
"Qualify",
"Viable"
],
"stage_labels": {
"Cancel": "Cancel",
"Expect to Close": "Expect to Close",
"Lost": "Lost",
"Negotiation": "Negotiation",
"Present Solution": "Present Solution",
"Qualify": "Qualify",
"Viable": "Viable",
"Win": "Win"
},
"templates": [
{
"blocks": [
{
"cond": "",
"def": {},
"fl": null,
"k": "firsat",
"label": "",
"req": false,
"st": "chip"
}
],
"icon": "geo-alt",
"id": 1,
"is_default": true,
"name": "Saha ziyareti",
"team": "",
"topic": "Görüşme",
"vtype": "F2F"
},
{
"blocks": [
{
"cond": "",
"def": {},
"fl": null,
"k": "firsat",
"label": "",
"req": false,
"st": "chip"
}
],
"icon": "camera-video",
"id": 2,
"is_default": false,
"name": "Online toplantı",
"team": "",
"topic": "Görüşme",
"vtype": "Online"
}
],
"topics": [
"Yeni Ürünler",
"Fiyat"
],
"undo_seconds": 600,
"unit": "kg",
"users": [
{
"full_name": "Deniz Aksoy",
"id": 1
}
],
"visit_types": [
{
"icon": "people",
"k": "F2F",
"label": "Yüz yüze"
},
{
"icon": "camera-video",
"k": "Online",
"label": "Online"
}
]
}Example responses were captured from a v43b installation running sample data; lists are shortened to two items.